<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 //Impide que la p?gina sea vista desde el navegador.
	if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");	
	
	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos WHERE cedula='$cedula_usuario'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	$cedula= $row['cedula'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	
	// Despliega las carreras donde se ha inscrito el alumno.
	
	$query_rstCarreras = "SELECT carreras_alumno.id_carrera, carreras_alumno.mencion, carreras_alumno.nivel, carreras.nombre_carrera FROM carreras_alumno, carreras WHERE carreras.id_carrera=carreras_alumno.id_carrera and carreras_alumno.id_alumno='$id_alumno'";
	$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
	$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
	$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
	$nivel=$row_rstCarreras["nivel"];
	$mencion=$row_rstCarreras["mencion"];
	
	if($mencion=="COMUN"){
   if($nivel=="CIU"){
      $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
   }   
   if($nivel=="CG"){
      $nombre_mencion="COMPONENTE GENERAL";
   }   
}
if($nivel=="CP"){
   $sql1 = "select nombre_mencion from menciones where id_carrera='$id_carrera' and id_mencion='$mencion'";
   $rs1=mysql_query($sql1,$cn);
   $row1=mysql_fetch_array($rs1);
   $nombre_mencion=$row1['nombre_mencion'];
}    

    // Despliega los tipo de constancia que puede solicitar el alumno.

	/*$query_rstConstancias = "SELECT aranceles.codigo, aranceles.descripcion, aranceles.costo_Bs FROM aranceles  WHERE tipo='C' order by descripcion";
	$rstConstancias = mysql_query($query_rstConstancias, $conn) or die(mysql_error());
	$row_rstConstancias = mysql_fetch_assoc($rstConstancias);
	$totalRows_rstConstancias = mysql_num_rows($rstConstancias); */
	
	$query_rstConstancias = "SELECT id,constancia,arancel FROM menu_constancia ORDER BY constancia";
$rstConstancias = mysql_query($query_rstConstancias, $conn) or die(mysql_error());
$row_rstConstancias = mysql_fetch_assoc($rstConstancias);
$totalRows_rstConstancias = mysql_num_rows($rstConstancias);

	// Despliega las sedes donde se ha inscrito el alumno.
	
	$query_rstSede = "SELECT DISTINCT carreras_alumno.sede, sedes.nombre_sede FROM carreras_alumno, sedes WHERE sedes.codigo= carreras_alumno.sede AND carreras_alumno.id_alumno='$id_alumno'";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- retiro de materias</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Solicitud de Constancias </h2></td></tr></table>
<form name="form1" id="form1" method="post"  onSubmit="return validar_datos()">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td>Constancia:</td>
      <td colspan="3"><label>
        <select name="id_constancia" id="id_constancia" style="width:550px">
		<option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstConstancias['id']?>"><?php echo $row_rstConstancias['constancia']?></option>
          <?php
} while ($row_rstConstancias = mysql_fetch_assoc($rstConstancias));
  $rows = mysql_num_rows($rstConstancias);
  if($rows > 0) {
      mysql_data_seek($rstConstancias, 0);
	  $row_rstConstancias = mysql_fetch_assoc($rstConstancias);
  }
?>
        </select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Programa:</div></td>
      <td colspan="3"><label>
        <select name="id_carrera" id="id_carrera" style="width:550px">
          <?php
do {  
?>
          <option value="<?php echo $row_rstCarreras['id_carrera']?>"><?php echo $row_rstCarreras['nombre_carrera']?></option>
          <?php
} while ($row_rstCarreras = mysql_fetch_assoc($rstCarreras));
  $rows = mysql_num_rows($rstCarreras);
  if($rows > 0) {
      mysql_data_seek($rstCarreras, 0);
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  }
?>
        </select>
      </label></td>
    </tr>
    
    <tr>
      <td><div align="right">Menci&oacute;n:</div></td>
      <td colspan="3"><label>
        <select name="mencion" id="mencion" style="width:550px">

          <option value="<?php echo $mencion ?>"><?php echo $nombre_mencion; ?></option>
 
		</select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Sede:</div></td>
      <td width="110"><label>
        <div align="left">
          <select name="id_sede" id="id_sede" style="width:550px">
            <?php
do {  
?>
            <option value="<?php echo $row_rstSede['sede']?>"><?php echo $row_rstSede['nombre_sede']?></option>
            <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
		  </select>
        </div>
      </label></td>
    </tr>
    <tr>
      <td height="34" colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Enviar Solicitud" onClick="solicitar_constancia('<?php echo $id_alumno; ?>')" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.id_constancia.value==0){
			alert("El campo <<Tipo de Constancia>> es obligatorio");
			document.form1.id_constancia.focus();
			return false;
			}
		if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
		if(document.form1.id_sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.id_sede.focus();
			return false;
			}
			return true;
	}
	
</script>
 <?php

mysql_free_result($rstSede);
mysql_free_result($rstConstancias);
mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function solicitar_constancia(id_alumno)
 {
  
	window.document.location="solicitar_constancia3.php?id_alumno="+id_alumno+"&id_carrera="+document.form1.id_carrera.value+"&id_sede="+document.form1.id_sede.value+"&id_constancia="+document.form1.id_constancia.value;
	
	
	
	
 }
</script>
